<?php

class ClsHorario{

var $pTipoBD;
var $pAccion;
var $pSeccion;
var $pIdMateria;
var $pCodigoDia;
var $pCodigoHora;
var $pCodigoAula;
var $pCodigoHorario;


function ClsHorario($tipobd,$var_post,$var_gest) {
		extract ($var_post); ///EXTRAE VARIABLES DE POST A VARIABLES SIMPLES CON EL MISMO NOMBRE
		extract($var_gest);
		$this->pSeccion=$seccion;
		$this->pIdMateria=$id_materia;
		$this->pCodigoDia=$codigo_dia;
		$this->pCodigoHora=$codigo_hora;
		$this->pCodigoAula=$codigo_aula;
		$this->pCodigoHorario=$codigo_horario;
		$this->pTipoBD=$tipobd;
		$this->pPost =$var_post;
}
	


	function Ingresar($mensajes){
	
		$sql ="SELECT `periodo`,turno,sede FROM `secciones` WHERE `codigo_seccion`=".$this->pSeccion;
		$this->pTipoBD->EjecutarQuery($sql);	    
		$datosseccion=$this->pTipoBD->DataObjeto();
		if(empty($this->pPost['hdClave'])){
			/*$sql="SELECT *  FROM `horarios` WHERE `seccion` = '$this->pSeccion' 
			  AND `id_materia` = '$this->pIdMateria' AND `codigo_dia` = $this->pCodigoDia 
			  AND `codigo_hora` = $this->pCodigoHora";
			$this->pTipoBD->EjecutarQuery($sql);	    
			if ($this->pTipoBD->count()>0){
				//echo $mensajes->htmlMensaje("E","La materia que intenta ingresar ya se encuentra registrada en el horario especificado para la secci&oacute;n seleccionada");
				return true;
			}
			sql="SELECT *  FROM `horarios` WHERE `id_periodo` = $datosseccion->periodo 
			 AND `codigo_dia` = $this->pCodigoDia AND `codigo_hora` = $this->pCodigoHora";
			$this->pTipoBD->EjecutarQuery($sql);	    
			if ($this->pTipoBD->count()>0){
				echo $mensajes->htmlMensaje("E","El horario seleccionado no se encuentra disponible <BR>".$mensajes->htmlImage($this->pCodigoDia."-".$this->pCodigoHora,"reload.gif"));
				return true;
			}

			$sql="SELECT *  FROM `horarios` WHERE  `codigo_aula` = $this->pCodigoAula AND `id_periodo` = $datosseccion->periodo 
			AND `codigo_dia` = $this->pCodigoDia AND `codigo_hora` = $this->pCodigoHora";
			$this->pTipoBD->EjecutarQuery($sql);	    
			if ($this->pTipoBD->count()>0){
				echo $mensajes->htmlMensaje("E","El Aula no esta disponible en el horario seleccionado");
				return true;
			}*/
/*
			$sql=" SELECT `ths` FROM `materias` WHERE `id_materia`='".$this->pIdMateria."'";
			$this->pTipoBD->EjecutarQuery($sql);
			$datoshoras= $this->pTipoBD->DataObjeto();
			if($this->pTipoBD->count()>0){
				$horaslimite= $datoshoras->ths;
				$sql= " SELECT count(`id_materia`)as cantidad,`id_materia` FROM `horarios` where 
						`seccion` = '$this->pSeccion' AND `id_materia` = '$this->pIdMateria'
						 and `id_periodo` = $datosseccion->periodo group by `id_materia`";
				$this->pTipoBD->EjecutarQuery($sql);
				$datoshorasregistradas= $this->pTipoBD->DataObjeto();
				
				if($this->pTipoBD->count()>0){
					$horascargadas = $datoshorasregistradas->cantidad;
					if (($horascargadas +1)>$horaslimite){
						echo $mensajes->htmlMensaje("E","<FONT color=red>La materia que intenta ingresar supera la cantidad de horas asignada</FONT> <BR>".$mensajes->htmlImage($this->pCodigoDia."-".$this->pCodigoHora,"reload.gif","regresar(this);")); 
						return true;
						
					}
				}
			}
		*/
			$sql="INSERT INTO `horarios` (`seccion`  ,`id_periodo` ,
				 `id_materia` ,`codigo_dia` ,`codigo_hora`,`codigo_aula`,codigo_turno,codigo_sede )
				  VALUES ('$this->pSeccion', $datosseccion->periodo, '$this->pIdMateria', $this->pCodigoDia, $this->pCodigoHora, 
				   $this->pCodigoAula, $datosseccion->turno, '$datosseccion->sede')";	
			$this->pTipoBD->EjecutarQuery($sql);
		
		
		
			$sql="Select codigo_horario ,id_periodo from horarios WHERE codigo_dia = ".$this->pCodigoDia." and seccion=".$this->pSeccion." and codigo_hora =".$this->pCodigoHora." and id_periodo = ".$datosseccion->periodo." and codigo_dia= ".$this->pCodigoDia ;
			$this->pTipoBD->EjecutarQuery($sql);
			$datosh= $this->pTipoBD->DataObjeto();
			$codigo_horario=$datosh->codigo_horario;
			
			$sql="SELECT `nombre_materia` FROM `materias` WHERE `id_materia` ='".$this->pIdMateria."'";
			$this->pTipoBD->EjecutarQuery($sql);
			$datosmateria=$this->pTipoBD->DataObjeto();
			$desc_materia=$datosmateria->nombre_materia;

			$sql="SELECT `desc_aula` FROM `aulas` WHERE `codigo_aula` =".$this->pCodigoAula;
			$this->pTipoBD->EjecutarQuery($sql);
			$datosaula=$this->pTipoBD->DataObjeto();
			$desc_aula=$datosaula->desc_aula;
			
			$sql = " SELECT concat(nombres,' ',apellidos) as Nombres FROM `docentes` inner join `oferta_academica` on  `docentes`.id_docente =  `oferta_academica`.id_profesor
			where `codigo_seccion` = ".$this->pSeccion." and `id_periodo` =".$datosseccion->periodo." and `id_materia` ='".$this->pIdMateria."'";
			$this->pTipoBD->EjecutarQuery($sql);
			$datosprofesor = $this->pTipoBD->DataObjeto();
			$desc_profesor=$datosprofesor->Nombres;
			//echo $desc_materia."<BR>".$desc_aula;	    
			$forma.="<td  align='center'><TABLE ><td  align='center'><font FACE='arial' size=2 color='black'>".$desc_materia."</font></td>";
			$forma.="<TR><td  align='center'><font FACE='arial' size=2 color='black'>".$desc_profesor."</font></td></TR></td>";
			$forma.="<TR><td  align='center'><font FACE='arial' size=2 color='black'>".$desc_aula."</font></td></TR></td>";
			$forma.="<TR><td  align='center'><a  href='#'>".$mensajes->htmlImage($codigo_horario,"trash.png","eliminar_horario(this);")."</a></td></TR></TABLE></td>";
			echo $forma;
			return true;
		}else{
						
			$this->pTipoBD->EjecutarQuery($sql);	    
			echo $mensajes->htmlMensaje("C","Procesado con Exito");
			return true;
		
		}	
	}
	


	
	function Eliminar($ClsGeneradorHtml,$clsObjetodeDatos){
			
			$sql="Select semestre,turno,sede from secciones WHERE codigo_seccion =".$this->pSeccion;
			$this->pTipoBD->EjecutarQuery($sql);
			$datos=$this->pTipoBD->DataObjeto();
			$semestre=$datos->semestre;	
                        $codigo_turno=$datos->turno;			
                        $codigo_sede =$datos->sede;

			$sql="Select codigo_dia,codigo_hora,id_periodo from horarios WHERE codigo_horario = ".$this->pCodigoHorario." and seccion=".$this->pSeccion;
			$this->pTipoBD->EjecutarQuery($sql);
			$datos= $this->pTipoBD->DataObjeto();
			
			
			$sql="Delete from horarios WHERE codigo_horario = ".$this->pCodigoHorario." and seccion=".$this->pSeccion;
			$this->pTipoBD->EjecutarQuery($sql);
			$forma.=$ClsGeneradorHtml->htmlDiv("horario",'','',$datos->codigo_dia."-".$datos->codigo_hora);
			$forma.=$ClsGeneradorHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectMateriasPorSemestre($semestre,$this->pSeccion)),"cmbMateria","codigo","descripcion",$cmbMateria,500,"",false,"cmbMateria","width: 100px;","","enviar_materias(this);");
									//$forma.="<BR>";
			$forma.=$ClsGeneradorHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectAulaHorarios($datos->codigo_dia,$datos->codigo_hora,$datos->id_periodo,$codigo_turno,$codigo_sede)),"cmbAulas","codigo_aula","desc_aula",$cmbAulas,500,"",false,"cmbAulas","width: 100px;","","enviar_materias(this);");
			$forma.=$ClsGeneradorHtml->htmlFinDiv()."</table>";
			$forma;
			return $forma;		
		
	}

   function Regresar($ClsGeneradorHtml,$clsObjetodeDatos){

			$sql="Select semestre from secciones WHERE codigo_seccion =".$this->pSeccion;
			$this->pTipoBD->EjecutarQuery($sql);
			$datos=	$this->pTipoBD->DataObjeto();
			$semestre=$datos->semestre;	
                        $codigo_turno=$datos->turno;			
                        $codigo_sede =$datos->sede;
	

			$sql="Select id_periodo from horarios WHERE seccion=".$this->pSeccion;
			$this->pTipoBD->EjecutarQuery($sql);
			$datos= $this->pTipoBD->DataObjeto();
			$horario=explode("-",$this->pCodigoHorario);
			
			$forma.=$ClsGeneradorHtml->htmlDiv("horario",'','',$horario[0]."-".$horario[1]);
			$forma.=$ClsGeneradorHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectMateriasPorSemestre($semestre,$seccion)),"cmbMateria","codigo","descripcion",$cmbMateria,500,"",false,"cmbMateria","width: 100px;","","enviar_materias(this);");
									//$forma.="<BR>";
			$forma.=$ClsGeneradorHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectAulaHorarios($horario[0],$horario[1],$datos->id_periodo,$codigo_turno,$codigo_sede)),"cmbAulas","codigo_aula","desc_aula",$cmbAulas,500,"",false,"cmbAulas","width: 100px;","","enviar_materias(this);");
			$forma.=$ClsGeneradorHtml->htmlFinDiv()."</table>";
			$forma;
			return $forma;		
		
	}


	function obtener_seccion($objetoHtml,$codigo_seccion){
		$db=$this->pTipoBD;		
		$sql="SELECT `nombre_sede`,`nombre_carrera`,pensum.`nro_pensum` as pen,desc_niveles,periodos.`codigo` as periodo,secciones.semestre,secciones.seccion,turnos.turno as turn 
			  FROM `secciones`
			  left join sedes on secciones.sede = sedes.codigo left join carreras on secciones.carrera = carreras.id_carrera 
			  left join pensum on secciones.pensum = pensum.nro_pensum left join niveles on secciones.nivel = niveles.cod_niveles 
			  left join turnos on secciones.turno = turnos.codigo
			  left join periodos on secciones.periodo = periodos.id_periodo where codigo_seccion=".$codigo_seccion;
		$db->EjecutarQuery($sql);
	
		$datos=$db->DataObjeto();
		if($db->count()>0){

			 $forma .=  $objetoHtml->htmlTable("2","0","2","100%","center");
			 $forma .=  $objetoHtml->htmlTr();
			 $forma .=	$objetoHtml->htmlTd('','','5','','bd')."<b>".$objetoHtml->htmlEtiqueta("PROGRAMA:")."</b>".$objetoHtml->htmlEtiqueta($datos->nombre_carrera).$objetoHtml->htmlFinTd();
		 	 $forma .=  $objetoHtml->htmlFinTr();
		 	 $forma .=  $objetoHtml->htmlTr();
		 	 $forma .=	$objetoHtml->htmlTd('','','5','','bd')."<b>".$objetoHtml->htmlEtiqueta("COMPONENTE:")."</b>".$objetoHtml->htmlEtiqueta($datos->desc_niveles).$objetoHtml->htmlFinTd();;
			 $forma .=  $objetoHtml->htmlFinTr();
			 $forma .=  $objetoHtml->htmlTr();
			 $forma .=	$objetoHtml->htmlTd('5%','','','','bd')."<b>".$objetoHtml->htmlEtiqueta("SEDE:")."</b>".$objetoHtml->htmlEtiqueta($datos->nombre_sede).$objetoHtml->htmlFinTd();
			 $forma .=	$objetoHtml->htmlTd('5%','','','','bd')."<b>".$objetoHtml->htmlEtiqueta("PERIODO:")."</b>".$objetoHtml->htmlEtiqueta($datos->periodo).$objetoHtml->htmlFinTd();
			 $forma .=	$objetoHtml->htmlTd('5%','','','','bd')."<b>".$objetoHtml->htmlEtiqueta("SEMESTRE:")."</b>".$objetoHtml->htmlEtiqueta($datos->semestre).$objetoHtml->htmlFinTd();
			 $forma .=	$objetoHtml->htmlTd('5%','','','','bd')."<b>".$objetoHtml->htmlEtiqueta("SECCION:")."</b>".$objetoHtml->htmlEtiqueta($datos->seccion).$objetoHtml->htmlFinTd();
			 $forma .=	$objetoHtml->htmlTd('','','','','bd')."<b>".$objetoHtml->htmlEtiqueta("TURNO:")."</b>".$objetoHtml->htmlEtiqueta($datos->turn).$objetoHtml->htmlFinTd();


		 	 $forma .=  $objetoHtml->htmlFinTr();
			 $forma .=  $objetoHtml->htmlTr();
			 $forma .=	$objetoHtml->htmlTd('','','','','bd')."<b>".$objetoHtml->htmlEtiqueta("PENSUM:")."</b>".$objetoHtml->htmlEtiqueta($datos->nro_pensum);
			 $forma .=	"  ".$objetoHtml->htmlImage($codigo_seccion,"printer.png","imprimir_horario(this);");
		 	 $forma .=	$objetoHtml->htmlImage($codigo_seccion,"printer.png","imprimir_horario_profesor(this);").$objetoHtml->htmlFinTd();
                         $forma .=  $objetoHtml->htmlFinTr();
		 	 $forma .= $objetoHtml->htmlFinTable();

		}
		return $forma;
	}
	

	function obtener_seccion1($objetoHtml,$codigo_seccion){
		$db=$this->pTipoBD;		
		$sql="SELECT `nombre_sede`,`nombre_carrera`,pensum.`nro_pensum` as pen,desc_niveles,periodos.`codigo` as periodo,secciones.seccion,turnos.turno 
			  FROM `secciones`
			  left join sedes on secciones.sede = sedes.codigo left join carreras on secciones.carrera = carreras.id_carrera 
			  left join pensum on secciones.pensum = pensum.nro_pensum left join niveles on secciones.nivel = niveles.cod_niveles 
			  left join periodos on secciones.periodo = periodos.id_periodo where codigo_seccion=".$codigo_seccion;
              //            left join turnos on secciones.turno = turnos.codigo
		$db->EjecutarQuery($sql);
		$datos=$db->DataObjeto();
		if($db->count()>0){
			 $forma .=   $objetoHtml->htmlTable("2","0","2","100%","center");
			 $forma .=   $objetoHtml->htmlTr();
			 $forma .=	$objetoHtml->htmlTd('','','5','','bd')."<b>".$objetoHtml->htmlEtiqueta("PROGRAMA:")."</b>".$objetoHtml->htmlEtiqueta($datos->nombre_carrera).$objetoHtml->htmlFinTd();
		 	 $forma .=   $objetoHtml->htmlFinTr();
			 $forma .=   $objetoHtml->htmlTr();
$forma .=	$objetoHtml->htmlTd('','','5','','bd')."<b>".$objetoHtml->htmlEtiqueta("COMPONENTE:")."</b>".$objetoHtml->htmlEtiqueta($datos->desc_niveles);
		 	 $forma .=   $objetoHtml->htmlFinTr();
			 $forma .=   $objetoHtml->htmlTr();
			 $forma .=	$objetoHtml->htmlTd('5%','','','','bd')."<b>".$objetoHtml->htmlEtiqueta("SEDE:")."</b>".$objetoHtml->htmlEtiqueta($datos->nombre_sede).$objetoHtml->htmlFinTd();
			 $forma .=	$objetoHtml->htmlTd('5%','','','','bd')."<b>".$objetoHtml->htmlEtiqueta("PERIODO:")."</b>".$objetoHtml->htmlEtiqueta($datos->periodo).$objetoHtml->htmlFinTd();
			 $forma .=	$objetoHtml->htmlTd('5%','','','','bd')."<b>".$objetoHtml->htmlEtiqueta("SEMESTRE:")."</b>".$objetoHtml->htmlEtiqueta($datos->semestre);
                         $forma .=	$objetoHtml->htmlTd('5%','','','','bd')."<b>".$objetoHtml->htmlEtiqueta("SECCION:")."</b>".$objetoHtml->htmlEtiqueta($datos->seccion);
                         $forma .=	$objetoHtml->htmlTd('5%','','','','bd')."<b>".$objetoHtml->htmlEtiqueta("TURNO:")."</b>".$objetoHtml->htmlEtiqueta($datos->turno);
		 	 $forma .=   $objetoHtml->htmlFinTr();
			 $forma .=   $objetoHtml->htmlTr();
			 $forma .=	$objetoHtml->htmlImage($codigo_seccion,"printer.png","imprimir_horario(this);").$objetoHtml->htmlFinTd();
		 	 $forma .=   $objetoHtml->htmlFinTr();
		 	 $forma .=   $objetoHtml->htmlFinTable();

		}
		return $forma;
	}


	function Consultar($POST){
		  $sql = "SELECT codigo_dia,desc_dia FROM `dias`where estatus_dia='V' ";
		  $this->pTipoBD->EjecutarQuery($sql);
		  $datosDias=$this->pTipoBD->DatosArray();
		
		  $forma= "
			   <hr size='1' noshade>
          
          <br>
			<table class='tbl' border='0' cellspacing='1' cellpadding='3' width='100%'>
			<tr>
			<td class='hr' align='center'>Horas</td>
			";
		
		foreach ($datosDias as $value){
			$forma.="<td class='hr' align='center'>".$value['desc_dia']."</td>";
			$contador_dias++;
		}   
		 $forma.="</tr>";
		 $style="dr";
		
		 if(!empty($POST['turno'])){
				$sql="SELECT  horas.codigo_hora,CONCAT(`hora_ini`,'-',`hora_fin`) as hora   FROM `horas` 
				inner join `turno_horas` on turno_horas.codigo_hora = horas.codigo_hora 
				WHERE turno_horas.`estatus_turno_horas` ='V' and turno_horas.`codigo_turno` =".$POST['turno'];		
				$this->pTipoBD->EjecutarQuery($sql);
				$datosHoras=$this->pTipoBD->DatosArray();
				foreach ($datosHoras as $valuehoras){			
					$forma.="<tr>";
					$forma.="<td class='$style' align='center'>".$valuehoras['hora']."</td>";
						foreach ($datosDias as $value){
							if (!empty($value['codigo_dia'])and!empty($valuehoras['codigo_hora'])and !empty($valuehoras['codigo_hora'])and !empty($POST['turno'])and !empty($POST['semestre'])and !empty($POST['sede'])and !empty($POST['nivel'])and !empty($POST['pensum'])and !empty($POST['sede'])and !empty($POST['carrera'])and !empty($POST['turno'])and !empty($POST['id_periodo'])and !empty($POST['seccion'])){
	
								$sql="SELECT materias.`nombre_materia` as materia,`codigo_aula`,`id_docente` FROM 
								`horarios` inner join `materias` on `horarios`.id_materia = materias.id_materia WHERE `horarios`.`codigo_dia`=".$value['codigo_dia']." and `horarios`.`codigo_hora` = ".$valuehoras['codigo_hora']." and `horarios`.`id_periodo` = ".$POST['id_periodo']." and `horarios`.`semestre` =".$POST['semestre']." and `horarios`.sede =".$POST['sede']."  and `horarios`.nivel ='".$POST['nivel']."' and `horarios`.pensum ='".$POST['pensum']."' and `horarios`.carrera ='".$POST['carrera']."'
								 and `horarios`.turno ='".$POST['turno']."' and `horarios`.seccion ='".$POST['seccion']."' ";
								$this->pTipoBD->EjecutarQuery($sql);
								$datosVerificar=$this->pTipoBD->DataObjeto();
								if($this->pTipoBD->count()>0){
									$forma.="<td class='$style' align='center'>".$datosVerificar->materia."</td>";
								
								}else{
									$forma.="<td class='$style' align='center'><BR></td>";
								
								}
							}else{
								$forma.="<td class='$style' align='center'><BR></td>";
							}	
						}
	
					$forma.="</tr>";
					if($style=="dr"){
						$style="sr";
					}else{
						$style="dr";
					}	
				}
		}		
		 return  $forma;
	}
	
	
	
	function Mostrar_Horario($seccion,$objetoHtml,$clsObjetodeDatos){
		$db=$this->pTipoBD;		
		$sql=" SELECT turno,periodo,semestre,sede,nivel FROM `secciones`
			where codigo_seccion=".$seccion;
		$db->EjecutarQuery($sql);
		$datosSeccion=$db->DataObjeto();	
		
		  $sql = "SELECT codigo_dia,desc_dia FROM `dias`where estatus_dia='V' ";
		  $this->pTipoBD->EjecutarQuery($sql);
		  $datosDias=$this->pTipoBD->DatosArray();
		
		  $forma= "
			   <hr size='1' noshade>
          
          <br>
			<table class='tbl' border='0' cellspacing='1' cellpadding='3' width='100%'>
			<tr>
			<td class='hr' align='center'>Horas</td>
			";
		
		$forma.="<td class='hr' align='center'>Descripci&oacute;n</td>";
		foreach ($datosDias as $value){
			$forma.="<td class='hr' align='center'>".$value['desc_dia']."</td>";
			$contador_dias++;
		}   
		 $forma.="</tr>";
		 $style="dr";
		 
		 if(!empty($datosSeccion->turno)){
				$sql="SELECT  horas.codigo_hora,CONCAT(DATE_FORMAT(`hora_ini`,'%h:%i:%s'),'-',DATE_FORMAT(`hora_fin`,'%h:%i:%s')) as hora   FROM `horas`  inner join hora_niveles on horas.codigo_hora = hora_niveles.codigo_hora inner join `turno_horas` on turno_horas.codigo_hora = horas.codigo_hora 
				WHERE turno_horas.`estatus_turno_horas` ='V' and turno_horas.`codigo_turno` =".$datosSeccion->turno." and codigo_sede ='".$datosSeccion->sede."' and hora_niveles.cod_niveles= '".$datosSeccion->nivel."'";		

				$this->pTipoBD->EjecutarQuery($sql);
				$datosHoras=$this->pTipoBD->DatosArray();
				foreach ($datosHoras as $valuehoras){			
					$forma.="<tr>";
					$forma.="<td class='$style' align='center'>".$valuehoras['hora']."</td>";
					$forma.="<td class='$style' align='center'>
								<table class='tbl' border='0' cellspacing='0' cellpadding='0' width='100%'>
									<td class='$style' align='center'>
										<FONT class='$style'>Materia</FONT>
									</td>
									<TR>
									<td class='$style' align='center'>
										<FONT class='$style'>Profesor</FONT>
									</td>
									<TR>
									<TR>					
									<td class='$style' align='center'>
										<FONT class='$style'>Aula</FONT>
									</td>

									</TR>
								</table>
							 </td>";

						foreach ($datosDias as $value){
							if (!empty($value['codigo_dia'])and !empty($valuehoras['codigo_hora'])and !empty($valuehoras['codigo_hora']) and !empty($datosSeccion->periodo)and !empty($seccion)){
								$sql="SELECT materias.`nombre_materia` as materia,
										`horarios`.`codigo_aula`,`desc_aula`,
										`horarios`.`codigo_horario`,
										concat(nombres,' ',apellidos) as Nombres 
										FROM `horarios` inner join 
										`materias` on `horarios`.id_materia = materias.id_materia 
										left join aulas on horarios.codigo_aula = aulas.codigo_aula 
										left join  oferta_academica on `horarios`.seccion= `oferta_academica`.codigo_seccion 
										and `horarios`.id_periodo =`oferta_academica`.`id_periodo` 
										and `horarios`.id_materia =`oferta_academica`.id_materia 
										left join `docentes` on  `oferta_academica`.id_profesor  =  `docentes`.`id_docente`
										WHERE `horarios`.`codigo_dia`=".$value['codigo_dia']." and `horarios`.`codigo_hora` = ".$valuehoras['codigo_hora']." and `horarios`.`id_periodo` = ".$datosSeccion->periodo."    
										and `horarios`.seccion ='".$seccion."' ";
								$this->pTipoBD->EjecutarQuery($sql);
								 		
								$datosVerificar=$this->pTipoBD->DataObjeto();
								if($this->pTipoBD->count()>0){
									$forma.="<td class='$style' align='center'><TABLE><td class='$style' align='center'>".$datosVerificar->materia."</td>";
									$forma.="<TR><td class='$style' align='center'>".$datosVerificar->Nombres."</td></TR></td>";
									$forma.="<TR><td class='$style' align='center'>".$datosVerificar->desc_aula."</td></TR></td>";
									
     if ($value['codigo_dia']==6){
										$sql="SELECT  codigo_hora,CONCAT(`hora_ini`,'-',`hora_fin`) as  horas FROM horas_equivalencia 
										WHERE codigo_hora = ".$valuehoras['codigo_hora'];										
										$this->pTipoBD->EjecutarQuery($sql);
										$datosEquivalencia=$this->pTipoBD->DataObjeto();
										$forma.="<TR><td class='$style' align='center'>".$datosEquivalencia->horas."</td></TR></td>";										
									}
$forma.="<TR><td class='$style' align='center'><a  href='#'>".$objetoHtml->htmlImage($datosVerificar->codigo_horario,"trash.png","eliminar_horario(this);")."</a></td></TR></TABLE></td>";
								
								}else{
									//$forma.="<td class='$style' align='center'>".$objetoHtml->htmlDiv("horario",'','',$value['codigo_dia']."-".$valuehoras['codigo_hora']).$objetoHtml->htmlFinDiv()."<BR></td>";
									$forma.="<td class='$style' align='center' valing='top'>";
									$forma.="<table class='tbl' border='0' cellspacing='0' cellpadding='0' width='100%'>";
									$forma.=$objetoHtml->htmlDiv("horario",'','',$value['codigo_dia']."-".$valuehoras['codigo_hora']);
									$forma.=$objetoHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectMateriasPorSemestre($datosSeccion->semestre,$seccion)),"cmbMateria","codigo","descripcion",$cmbMateria,500,"",false,"cmbMateria","width: 100px;","","enviar_materias(this);");
									//$forma.="<BR>";
									$forma.=$objetoHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectAulaHorarios($value['codigo_dia'],$valuehoras['codigo_hora'],$datosSeccion->periodo,$datosSeccion->turno,$datosSeccion->sede)),"cmbAulas","codigo_aula","desc_aula",$cmbAulas,500,"",false,"cmbAulas","width: 100px;","","enviar_materias(this);");
									$forma.=$objetoHtml->htmlFinDiv()."</table>";
									//$forma.="<INPUT TYPE='image' id ='".$value['codigo_dia']."-".$valuehoras['codigo_hora']."' name='Guardar' value='".$value['codigo_dia']."-".$valuehoras['codigo_hora']."' src='./imagenes/guardar.jpeg' align='MIDDLE' alt='Guardar'  onmouseover=\"return overlib('Guardar');\" onmouseout='return nd();'>";
									$forma.="</td>";
								}
							}else{
                                                                $sql ="SELECT * FROM `dias_turno` WHERE `codigo_turno` =".$datosSeccion->turno." AND `codigo_dia` =".$value['codigo_dia'];
                                                                $this->pTipoBD->EjecutarQuery($sql);
                                                                if($this->pTipoBD->count()>0){

								         $forma.="<td class='$style' align='center' valing='top'>";
								         $forma.="<table class='tbl' border='0' cellspacing='0' cellpadding='0' width='100%'>";
								         $forma.=$objetoHtml->htmlDiv("horario",'','',$value['codigo_dia']."-".$valuehoras['codigo_hora']);
								              $forma.=$objetoHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectMateriasPorSemestre($datosSeccion->semestre,$seccion)),"cmbMateria","id_materia","nombre_materia",$cmbMateria,500,"",false,"cmbMateria","width: 100px;","","enviar_materias(this);");
								//$forma.="<BR>";
								$forma.=$objetoHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectAulaHorarios($value['codigo_dia'],$valuehoras['codigo_hora'],$datosSeccion->periodo,$datosSeccion->turno,$datosSeccion->sede)),"cmbAulas","codigo_aula","desc_aula",$cmbAulas,500,"",false,"cmbAulas","width: 100px;","","enviar_materias(this);");
								$forma.=$objetoHtml->htmlFinDiv()."</table>";
 								//$forma.="<INPUT TYPE='image' id ='".$value['codigo_dia']."-".$valuehoras['codigo_hora']."' name='Guardar' value='".$value['codigo_dia']."-".$valuehoras['codigo_hora']."' src='./imagenes/guardar.jpeg' align='MIDDLE' alt='Guardar'  onmouseover=\"return overlib('Guardar');\" onmouseout='return nd();'>";
								$forma.="</td>";
                                                            }else{
                                                                $forma.="<td class='$style' align='center' valing='top'>";
								$forma.="</td>";
                                                           }


							}	
						}
	
					$forma.="</tr>";
					if($style=="dr"){
						$style="sr";
					}else{
						$style="dr";
					}	
				}
		}		
		 return  $forma;		
		 		
	}

	
	
					
	function Validar($mensajes){
	
		$sql="SELECT `carrera`, `pensum`, `nivel`, `sede`, `seccion`,
			`semestre`, `turno`, `id_periodo`, `id_materia`, 
			`codigo_dia`, `codigo_hora`, `codigo_aula`, `id_docente` 
			 FROM `horarios` WHERE 1=2";
	    $this->pTipoBD->EjecutarQuery($sql);
		if (($this->pTipoBD->count()>0) and (empty($this->pPost['hdClave']))){
			echo $mensajes->htmlMensaje("E","El Sindicato existe en el base de datos");
			return false;
		}else{
			 $campos=$this->pTipoBD->fldinf(0);
			 $nomcampo=$campos['flags'];
		}			  	
		$num_campos=$this->pTipoBD->numfld();
		$i = 0;
		while ($i < $num_campos){
			$camposTmp= $this->pTipoBD->fldinf($i);
			$campos[$i]=$camposTmp["name"]; 			
			foreach ($this->pPost as $clave=>$registro){
				if ($campos[$i]==$clave){
					$flags=$camposTmp["flags"];
					if(empty($this->pPost[$clave])){
						if($this->not_null($flags,$clave,$mensajes)){
							return false;
						}
					}	
				}	
			}
			$i++;
		}
		return true;
	}		

	function not_null($flags,$nombrecampo,$mensajes){
		if (eregi('not_null', $flags)) {
			echo $mensajes->htmlMensaje("E","El campo ".$nombrecampo." es obligatorio");
			return true;
		}		
		return false;
	}
	


	
	
	
}
?>
